## translate-shell 0.8.21

=== Makefile ===
NAME     = "Translate Shell"
COMMAND  = trans
BUILDDIR = build
MANDIR   = man

TARGET   = bash
INSTDIR  = /usr/bin

.PHONY: clean uninstall

default: build

clean:
	@gawk -f build.awk clean

$(COMMAND):
	@gawk -f build.awk build -target=$(TARGET)

build: $(COMMAND)

test: build
	[ `$(BUILDDIR)/$(COMMAND) -b 忍者` = 'Ninja' ]

install: build
	@install $(BUILDDIR)/$(COMMAND) $(INSTDIR)/$(COMMAND) && echo "[$(NAME)] Successfully installed."

uninstall:
	@rm $(INSTDIR)/$(COMMAND) && echo "[$(NAME)] Successfully uninstalled."

=== debian/changelog ===
translate-shell (0.8.21-1) unstable; urgency=medium

  * New upstream version
    Closes: #762075
  * Software was renamed to translate-shell to avoid trademark issues
  * License changed from beerware to public domain
  * Manpage provided in upstream source
    Closes: #762138
  * Regard upstream hints about further dependencies
  * Mention upstream bug tracker

 -- Andreas Tille <tille@debian.org>  Mon, 22 Sep 2014 15:40:37 +0200

google-translate-cli (0.8.20-1) unstable; urgency=medium

  * Initial Upload (Closes: #755502)
  * Move to contrib

 -- Andreas Tille <tille@debian.org>  Wed, 17 Sep 2014 12:23:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- INSTDIR=$(CURDIR)/debian/$(DEBPKGNAME)/usr/bin

override_dh_auto_install:
	dh_auto_install -- INSTDIR=$(CURDIR)/debian/$(DEBPKGNAME)/usr/bin

override_dh_auto_test:
	echo "=============================================================================="
	echo "Test needs online connection to google and thus can not be done in chroot"
	echo "=============================================================================="

## translate-shell 0.8.22

=== debian/changelog ===
translate-shell (0.8.22-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 01 Nov 2014 09:44:47 +0100

## translate-shell 0.8.23

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 build: $(COMMAND)
 
 test: build
-	[ `$(BUILDDIR)/$(COMMAND) -b 忍者` = 'Ninja' ]
+	[ "`$(BUILDDIR)/$(COMMAND) -b 忍者`" = 'Ninja' ]
 
 install: build
 	@install $(BUILDDIR)/$(COMMAND) $(INSTDIR)/$(COMMAND) && echo "[$(NAME)] Successfully installed."

=== debian/changelog ===
translate-shell (0.8.23-1) unstable; urgency=medium

  * New upstream version
    Closes: #782811

 -- Andreas Tille <tille@debian.org>  Thu, 30 Apr 2015 10:41:40 +0200

translate-shell (0.8.22.2-1) experimental; urgency=medium

  * New upstream version
    Closes: #768217, #762893

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2014 09:03:40 +0100

=== debian/control ===
Source: translate-shell
Maintainer: Andreas Tille <tille@debian.org>
Section: contrib/misc
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper (>= 9),
               gawk
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/translate-shell.git
Vcs-Git: git://anonscm.debian.org/collab-maint/translate-shell.git
Homepage: https://github.com/soimort/translate-shell

Package: translate-shell
Architecture: all
Depends: ${misc:Depends},
         gawk
Recommends: rlwrap
Suggests: libfribidi-bin,
          mplayer2
Conflicts: google-translate-cli
Provides: google-translate-cli
Replaces: google-translate-cli
Description: Google Translate to serve as a command line tool
 Google Translate is a simple command line interface to
 http://translate.google.com which allows you to translate
 strings in your terminal.

## translate-shell 0.9.2.1

=== Makefile ===
NAME     = "translate-shell"
COMMAND  = trans
BUILDDIR = build
MANDIR   = man

TARGET   = bash
PREFIX   = /usr/local

.PHONY: default clean build release grip test check install uninstall

default: build

clean:
	@gawk -f build.awk clean

build:
	@gawk -f build.awk build -target=$(TARGET)

release:
	@gawk -f build.awk build -target=$(TARGET) -type=release

grip:
	@gawk -f build.awk readme && grip

test: build
	@gawk -f test.awk

check: test
	$(BUILDDIR)/$(COMMAND) -V
	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 忍者`" = 'Ninja' ] &&\
	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 'hello world'`" = 'hello world' ]

install:
	@install -D $(BUILDDIR)/$(COMMAND) $(PREFIX)/bin/$(COMMAND) &&\
	mkdir -p $(PREFIX)/share/man/man1 &&\
	cp $(MANDIR)/$(COMMAND).1 $(PREFIX)/share/man/man1/$(COMMAND).1 &&\
	echo "[OK] $(NAME) installed."

uninstall:
	@rm $(PREFIX)/bin/$(COMMAND) $(PREFIX)/share/man/man1/$(COMMAND).1 &&\
	echo "[OK] $(NAME) uninstalled."

=== debian/changelog ===
translate-shell (0.9.2.1-1) unstable; urgency=medium

  * New upstream version dealing with API change

 -- Andreas Tille <tille@debian.org>  Fri, 18 Dec 2015 14:38:47 +0100

translate-shell (0.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Dec 2015 17:53:20 +0100

translate-shell (0.9.0.9-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 09 Oct 2015 20:08:18 +0200

translate-shell (0.9.0.8-1) unstable; urgency=medium

  * New upstream version
    Closes: #796578
  * s/INSTDIR/PREFIX/ as per upstream change
  * Bump libfribidi-bin from Suggests to Depends - otherwise rtl language
    sections in create a include/Languages.awk would create a error
    messages on each trans call

 -- Andreas Tille <tille@debian.org>  Mon, 14 Sep 2015 14:22:10 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
 Package: translate-shell
 Architecture: all
 Depends: ${misc:Depends},
-         gawk
+         gawk,
+         libfribidi-bin
 Recommends: rlwrap
-Suggests: libfribidi-bin,
-          mplayer2
+Suggests: mplayer2
 Conflicts: google-translate-cli
 Provides: google-translate-cli
 Replaces: google-translate-cli

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- INSTDIR=$(CURDIR)/debian/$(DEBPKGNAME)/usr/bin
+	dh_auto_build -- PREFIX=$(CURDIR)/debian/$(DEBPKGNAME)/usr
 
 override_dh_auto_install:
-	dh_auto_install -- INSTDIR=$(CURDIR)/debian/$(DEBPKGNAME)/usr/bin
+	dh_auto_install -- PREFIX=$(CURDIR)/debian/$(DEBPKGNAME)/usr
 
 override_dh_auto_test:
 	echo "=============================================================================="

=== debian/watch ===
version=3

https://github.com/soimort/translate-shell/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## translate-shell 0.9.4

=== debian/changelog ===
translate-shell (0.9.4-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2016 21:22:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                gawk
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/translate-shell.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/translate-shell.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/translate-shell.git
 Homepage: https://github.com/soimort/translate-shell
 
 Package: translate-shell

## translate-shell 0.9.5

=== Makefile ===
--- 
+++ 
@@ -30,8 +30,9 @@
 	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 忍者`" = 'Ninja' ] &&\
 	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 'hello world'`" = 'hello world' ]
 
-install:
-	@install -D $(BUILDDIR)/$(COMMAND) $(PREFIX)/bin/$(COMMAND) &&\
+install: build
+	@mkdir -p $(PREFIX)/bin &&\
+	install $(BUILDDIR)/$(COMMAND) $(PREFIX)/bin/$(COMMAND) &&\
 	mkdir -p $(PREFIX)/share/man/man1 &&\
 	cp $(MANDIR)/$(COMMAND).1 $(PREFIX)/share/man/man1/$(COMMAND).1 &&\
 	echo "[OK] $(NAME) installed."

=== debian/changelog ===
translate-shell (0.9.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2016 22:01:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: contrib/misc
 XS-Autobuild: no
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                gawk
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/translate-shell.git

## translate-shell 0.9.6.6

=== Makefile ===
--- 
+++ 
@@ -31,12 +31,12 @@
 	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 'hello world'`" = 'hello world' ]
 
 install: build
-	@mkdir -p $(PREFIX)/bin &&\
-	install $(BUILDDIR)/$(COMMAND) $(PREFIX)/bin/$(COMMAND) &&\
-	mkdir -p $(PREFIX)/share/man/man1 &&\
-	cp $(MANDIR)/$(COMMAND).1 $(PREFIX)/share/man/man1/$(COMMAND).1 &&\
+	@mkdir -p $(DESTDIR)$(PREFIX)/bin &&\
+	install $(BUILDDIR)/$(COMMAND) $(DESTDIR)$(PREFIX)/bin/$(COMMAND) &&\
+	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1 &&\
+	install $(MANDIR)/$(COMMAND).1 $(DESTDIR)$(PREFIX)/share/man/man1/$(COMMAND).1 &&\
 	echo "[OK] $(NAME) installed."
 
 uninstall:
-	@rm $(PREFIX)/bin/$(COMMAND) $(PREFIX)/share/man/man1/$(COMMAND).1 &&\
+	@rm $(DESTDIR)$(PREFIX)/bin/$(COMMAND) $(DESTDIR)$(PREFIX)/share/man/man1/$(COMMAND).1 &&\
 	echo "[OK] $(NAME) uninstalled."

=== debian/changelog ===
translate-shell (0.9.6.6-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 0.9.6.6
  * Add myself as Uploader.
  * Bump debhelper compat level to 11.
  * Add autopkgtest control file with several basic tests.
  * Bump Standards-Version to 4.1.3 (no change).

  [ Andreas Tille ]
  * Set Vcs fields to Salsa
  * Add disclaimer to d/copyright

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Feb 2018 07:40:31 +0000

translate-shell (0.9.6.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.1
  * Fix install

 -- Andreas Tille <tille@debian.org>  Sat, 02 Dec 2017 08:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: translate-shell
 Maintainer: Andreas Tille <tille@debian.org>
+Uploaders: Mo Zhou <cdluminate@gmail.com>
 Section: contrib/misc
 XS-Autobuild: no
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                gawk
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/translate-shell.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/translate-shell.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/translate-shell
+Vcs-Git: https://salsa.debian.org/debian/translate-shell.git
 Homepage: https://github.com/soimort/translate-shell
 
 Package: translate-shell

## translate-shell 0.9.6.8

=== debian/changelog ===
translate-shell (0.9.6.8-1) unstable; urgency=medium

  * New upstream version 0.9.6.8
  * Bump Standards-Version to 4.2.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 13 Aug 2018 15:39:53 +0000

translate-shell (0.9.6.7-1) unstable; urgency=medium

  * New upstream version 0.9.6.7
  * Update short and long description according to upstream README.
  * Add new Recommends and Suggests. (Closes: #841195)

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 21 Mar 2018 09:15:03 +0000

## translate-shell 0.9.6.9

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,9 @@
 check: test
 	$(BUILDDIR)/$(COMMAND) -V
 	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 忍者`" = 'Ninja' ] &&\
-	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 'hello world'`" = 'hello world' ]
+	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e bing 忍者`" = 'Ninja' ] &&\
+	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e yandex Ninja`" = 'Ninja' ] &&\
+	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e deepl -s en -t de hello`" = 'Hallo' ]
 
 install: build
 	@mkdir -p $(DESTDIR)$(PREFIX)/bin &&\

=== debian/changelog ===
translate-shell (0.9.6.9-1) unstable; urgency=medium

  * New upstream version 0.9.6.9

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 26 Dec 2018 12:44:24 +0000

## translate-shell 0.9.6.10

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 NAME     = "translate-shell"
 COMMAND  = trans
-BUILDDIR = build
+BUILDDIR ?= build
 MANDIR   = man
 
-TARGET   = bash
-PREFIX   = /usr/local
+TARGET   ?= bash
+PREFIX   ?= /usr/local
 
 .PHONY: default clean build release grip test check install uninstall

=== debian/changelog ===
translate-shell (0.9.6.10-1) unstable; urgency=medium

  * New upstream version 0.9.6.10

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 12 Jul 2019 16:00:30 +0000

## translate-shell 0.9.6.11

=== Makefile ===
--- 
+++ 
@@ -29,8 +29,7 @@
 	$(BUILDDIR)/$(COMMAND) -V
 	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 忍者`" = 'Ninja' ] &&\
 	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e bing 忍者`" = 'Ninja' ] &&\
-	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e yandex Ninja`" = 'Ninja' ] &&\
-	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e deepl -s en -t de hello`" = 'Hallo' ]
+	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e yandex Ninja`" = 'Ninja' ]
 
 install: build
 	@mkdir -p $(DESTDIR)$(PREFIX)/bin &&\

=== debian/changelog ===
translate-shell (0.9.6.11-1) unstable; urgency=medium

  * New upstream version 0.9.6.11

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Aug 2019 05:56:10 +0000

=== debian/control ===
Source: translate-shell
Maintainer: Andreas Tille <tille@debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Section: contrib/misc
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper (>= 11),
               gawk
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/debian/translate-shell
Vcs-Git: https://salsa.debian.org/debian/translate-shell.git
Homepage: https://github.com/soimort/translate-shell

Package: translate-shell
Architecture: all
Depends: ${misc:Depends},
         gawk,
         libfribidi-bin
Recommends: curl,
            rlwrap,
            aspell | hunspell,
            less | most,
Suggests: mplayer | mpv | mpg123 | espeak,
Conflicts: google-translate-cli
Provides: google-translate-cli
Replaces: google-translate-cli
Description: Command-line translator using Google Translate, etc.
 Translate Shell (formerly Google Translate CLI) is a command-line
 translator powered by Google Translate (default), Bing Translator,
 Yandex.Translate, DeepL Translator and Apertium. It gives you easy
 access to one of these translation engines in your terminal.

## translate-shell 0.9.6.12

=== debian/changelog ===
translate-shell (0.9.6.12-1) unstable; urgency=medium

  * New upstream version 0.9.6.12
  * Remove DeepL from "Description:". (Closes: #964319)
  * Bump debhelper compat level to 13 and deprecate d/compat.
  * Bump Standards-Version to 4.5.0 (no change).
  * Specify Rules-Requires-Root: no.
  * Update my mail address.
  * Bump the YEAR in d/copyright.

 -- Mo Zhou <lumin@debian.org>  Thu, 29 Oct 2020 14:04:41 +0800

=== debian/control ===
Source: translate-shell
Maintainer: Andreas Tille <tille@debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Section: contrib/misc
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gawk
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/translate-shell
Vcs-Git: https://salsa.debian.org/debian/translate-shell.git
Homepage: https://github.com/soimort/translate-shell
Rules-Requires-Root: no

Package: translate-shell
Architecture: all
Depends: ${misc:Depends},
         gawk,
         libfribidi-bin
Recommends: curl,
            rlwrap,
            aspell | hunspell,
            less | most,
Suggests: mplayer | mpv | mpg123 | espeak,
Conflicts: google-translate-cli
Provides: google-translate-cli
Replaces: google-translate-cli
Description: Command-line translator using Google Translate, etc.
 Translate Shell (formerly Google Translate CLI) is a command-line translator
 powered by Google Translate (default), Bing Translator, Yandex.Translate and
 Apertium. It gives you easy access to one of these translation engines in your
 terminal.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	# do nothing

override_dh_auto_test:
	echo "=============================================================================="
	echo "Test needs online connection to google and thus can not be done in chroot"
	echo "=============================================================================="

=== debian/watch ===
version=4

https://github.com/soimort/translate-shell/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## translate-shell 0.9.7

=== debian/changelog ===
translate-shell (0.9.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

  [ Mo Zhou ]
  * Update watch file.
  * New upstream version 0.9.7 (Aug 2022)

 -- Mo Zhou <lumin@debian.org>  Thu, 17 Nov 2022 10:39:23 -0500

## translate-shell 0.9.7.1

=== Makefile ===
--- 
+++ 
@@ -27,9 +27,9 @@
 
 check: test
 	$(BUILDDIR)/$(COMMAND) -V
-	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 忍者`" = 'Ninja' ] &&\
-	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e bing 忍者`" = 'Ninja' ] &&\
-	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e yandex Ninja`" = 'Ninja' ]
+	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b 忍者`" = 'ninja' ] &&\
+	[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e bing 忍者`" = 'ninja' ] #&&\
+	#[ "`$(BUILDDIR)/$(COMMAND) -no-init -D -b -e yandex Ninja`" = 'Ninja' ]
 
 install: build
 	@mkdir -p $(DESTDIR)$(PREFIX)/bin &&\

=== debian/changelog ===
translate-shell (0.9.7.1-2) unstable; urgency=medium

  * Depends: bsdextrautils
    Closes: #1052302
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 08:48:56 +0100

translate-shell (0.9.7.1-1) unstable; urgency=medium

  * New upstream version 0.9.7.1

 -- Mo Zhou <lumin@debian.org>  Fri, 17 Feb 2023 16:37:38 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                gawk
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/translate-shell
 Vcs-Git: https://salsa.debian.org/debian/translate-shell.git
 Homepage: https://github.com/soimort/translate-shell
@@ -16,7 +16,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          gawk,
-         libfribidi-bin
+         libfribidi-bin,
+         bsdextrautils
 Recommends: curl,
             rlwrap,
             aspell | hunspell,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/soimort/translate-shell/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
